Skip to content

GET Implicit Labels.

GET
/api/config/namespaces/system/implicit_labels
curl --request GET \
--url 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/system/implicit_labels?query=QUERY_ALL_LABELS' \
--header 'Authorization: <Authorization>'

GET is generic label query. Two types of queries are supported

  • Return label with exact matching entry label key = label value.
  • Return list of labels that have prefix of label key = label value. Returns list of labels. Query will look into current tenants shared namespace and VES-I/O shared.

Examples of this operation.

query
string
default: QUERY_ALL_LABELS
Allowed values: QUERY_ALL_LABELS QUERY_EXACT_LABEL QUERY_VALUE_PREFIX_LABELS QUERY_KEYS_ONLY QUERY_VALUE_OR_DESCRIPTION_SUBSTRING QUERY_KEY_SUBSTRING

Type of Query

GET all available implicit labels GET exact match of label.key = label.value Or label.key(label.value) GET prefix match of label.key = label.value GET list of all keys GET list of all labels that exactly match the given key and substring match either ‘value’ or description provided in ‘value’ field GET list of all keys matching a substring.

key
string

Key string in Query parameters.

value
string

Value string in Query parameters.

key_classes
Array<string>
Allowed values: KEY_CLASS_GENERIC KEY_CLASS_KNOWN KEY_CLASS_GEOIP KEY_CLASS_IMPLICIT KEY_CLASS_IP_REPUTATION KEY_CLASS_URL_REPUTATION KEY_CLASS_GEOIP_EXTENDED KEY_CLASS_DNS_GEOIP KEY_CLASS_AWS

Key classes

Includes label keys with generic names such as “example-key”, “foobar-key” etc. Keys that are obtained using GET on /API/config/configconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfigconfignamespaces/shared/known_label_keys Includes F5 Distributed Cloud-defined known label keys such as “F5 XC/app_type”, “F5 XC/app” and “F5 XC/siteType” as well as tenant-defined known keys such as “example-key”, “acme-key-foo” and “acme-key-bar”. Note that tenant-defined known keys don’t have any standard name format - they are known keys because they have been explicitly created as known keys by the tenant and are stored in the configuration as known_label_keys. Includes implicit geoip label keys “geoip.F5 XC/city”, “geoip.F5 XC/region” and “geoip.F5 XC/country” Includes implicit label keys associated with packets/requests by the infrastructure e.g. “implicit.F5 XC/namespace” Include IP reputation label keys “ipreputation.F5 XC/threattype”, “ipreputation.F5 XC/threatlevel” Include URL reputation label keys “urlreputation.F5 XC/category”, “urlreputation.F5 XC/reputationlevel” Includes implicit geoip label keys “geoip.F5 XC/continent” Includes implicit geoip label keys “geoip.F5 XC/region”, “geoip.F5 XC/country” and “geoip.F5 XC/continent” Implicit AWS resource labels (dynamically queried). This may be VPC level tags and/or subnet level tags.

A successful response.

Media typeapplication/json
Get Label response

GET Label Response, list of labels.

object
label
List of labels

List of labels as Query response.

Array<object>
Label Type

Generic Label type label.key(label.value)

object
description
description

Label description.

string
>= 21 characters <= 1024 characters
key
key

Label key

string
>= 7 characters <= 1024 characters
value
value

Label value.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"label": [
{
"description": "example",
"key": "example",
"value": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example